import numpy as np
import matplotlib.pyplot as plt
from mpl_toolkits import mplot3d

D = np.loadtxt( "datos.txt" )
print( D.shape )

# Capa 2
W2 = np.array( [[-15.58965455, -14.62337036],
                [ 15.9343551 ,  14.54104122]])

# Capa 3
W3 = np.array( [[-11.4812044 ],
                [ 12.26036819]] )

Sesgo2 = np.array([ 6.84805342, -6.51053844])
Sesgo3  = np.array( [11.0737601] )

def evalua( x ) :
	#   1x2 2x2 = 1x2
	S2 = np.tanh( x @ W2 + Sesgo2 )

	S3 = S2 @ W3 + Sesgo3

	v = 1/(1+np.exp(-S3) )
	if v > 0.5 :
		return 1
	else :
		return 0

vv = np.zeros( (1,2) )
n, m = D.shape
i = 0
while i < n :
	D[i,2] = -1
	vv[0,0] = D[i,0]
	vv[0,1] = D[i,1]
	D[i,2] = evalua( vv )
	i += 1

fig = plt.figure()
ax = plt.axes( projection="3d" )

ax.scatter3D( D[:,0], D[:,1], D[:,2] )

plt.show( )

